ASA-201710-16 generated external raw

[ASA-201710-16] go-pie: arbitrary command execution
Arch Linux Security Advisory ASA-201710-16 ========================================== Severity: High Date : 2017-10-12 CVE-ID : CVE-2017-15041 Package : go-pie Type : arbitrary command execution Remote : Yes Link : https://security.archlinux.org/AVG-442 Summary ======= The package go-pie before version 2:1.9.1-1 is vulnerable to arbitrary command execution. Resolution ========== Upgrade to 2:1.9.1-1. # pacman -Syu "go-pie>=2:1.9.1-1" The problem has been fixed upstream in version 1.9.1. Workaround ========== None. Description =========== Go before 1.8.4 and 1.9.x before 1.9.1 allows "go get" remote command execution. Using custom domains, it is possible to arrange things so that example.com/pkg1 points to a Subversion repository but example.com/pkg1/pkg2 points to a Git repository. If the Subversion repository includes a Git checkout in its pkg2 directory and some other work is done to ensure the proper ordering of operations, "go get" can be tricked into reusing this Git checkout for the fetch of code from pkg2. If the Subversion repository's Git checkout has malicious commands in .git/hooks/, they will execute on the system running "go get". Impact ====== A remote attacker may be able to execute arbitrary commands on a system running "go get" by using a specially prepared repository. References ========== https://github.com/golang/go/issues/22125 https://github.com/golang/tools/commit/ebae2dcdbabadfdb9880a627481eaf0079a08767 https://security.archlinux.org/CVE-2017-15041